"""
    use_style(style::String)
    use_style(style::Vector{String})

Use matplotlib style settings from a style specification `style`.

The style name of "default" is reserved for reverting back to the default style settings.

ArviZ-specific styles include
`["arviz-whitegrid", "arviz-darkgrid", "arviz-colors", "arviz-white", "arviz-doc"]`.
To see all available style specifications, use [`styles()`](@ref).

If a `Vector` of styles is provided, they are applied from first to last.
"""
function use_style(style)
    pyplot.style.use(style)
    return nothing
end

"""
    styles() -> Vector{String}

Get all available matplotlib styles for use with [`use_style`](@ref)
"""
styles() = pyconvert(Vector{String}, pyplot.style.available)
